    # Java Properties Sample File

    # This is a commment
    ! This is also a comment
         # comment
         ! comment

    # keys and values can be separated by '=', ':' or by a series of spaces:

    key = value
    key : value
    key value

    # spaces, '=', or ':' can be used in the key by escaping them with a backslash:

    key\:continued = value
    key\=continued = value
    key\ continued = value

    # the key starts with the first non blank character on the line:

        key = value

    # there can be an arbitrary amount of spaces between the key, the value, and the ':' or '=', if present:

    key=value
    key     =      value

    key:value
    key     :      value

    key value
    key                  value

    # values can be continued on another line by escaping the line end character with a backslash:

    key = value \
      value continued

    # This works also over more than one line:

    key = value\
      value continued 1\
      value continued 2\
      value continued 3

    # But if the line ends with an even number of backslashes, the value is not continued:

    key = value\\
    newkey = value

    key = value\\\\
    newkey = value

    # both key and value can be ommitted, in which case either the key or the value or both equal the empty string:

    key =
    key
    = value

    =
    :